test/bin-test/test-dav.sh

changeset 418
cfdeeed64ac5
child 421
178dc32c8c9a
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/test/bin-test/test-dav.sh	Wed Jun 13 18:14:33 2018 +0200
@@ -0,0 +1,77 @@
+#!/bin/sh
+#
+# DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS HEADER.
+#
+# Copyright 2018 Olaf Wintermann. All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are met:
+#
+#   1. Redistributions of source code must retain the above copyright
+#      notice, this list of conditions and the following disclaimer.
+#
+#   2. Redistributions in binary form must reproduce the above copyright
+#      notice, this list of conditions and the following disclaimer in the
+#      documentation and/or other materials provided with the distribution.
+#
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
+# AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+# ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE
+# LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
+# CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
+# SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
+# INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
+# CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
+# ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
+# POSSIBILITY OF SUCH DAMAGE.
+#
+
+if [ $# -lt 1 ];
+then
+	echo "usage:" $0 "<dav-binary>"
+	exit 1
+fi
+
+# check if dav binary exists
+which $1 > /dev/null
+if [ $? -ne 0 ];
+then
+	exit 1
+fi
+
+DAV_BIN=$1
+export DAV_BIN
+
+# check for test repository
+TEST_REPO=`$DAV_BIN list-repos | grep dav-test-repo`
+if [ $TEST_REPO != "dav-test-repo" ];
+then
+	echo "A dav repository with the name 'dav-test-repo' is needed."
+	exit 1
+fi
+
+
+
+# clean test repo
+$DAV_BIN rm dav-test-repo/tests/ 2> /dev/null
+
+#
+# ok, begin the tests
+#
+
+# info
+printf "TEST: dav info ... "
+./test-dav-info.sh
+if [ $? -ne 0 ]; then
+	exit 2
+fi
+echo ok
+
+# mkcol
+printf "TEST: dav mkcol ... "
+./test-dav-mkcol.sh
+if [ $? -ne 0 ]; then
+	exit 2
+fi
+echo ok

mercurial